Subject: Re: [TLS] [Network-tokens] Network Tokens I-D and TLS / ESNI

From: Michael Richardson <[email-masked]>
Date: Sat, 01 Aug 2020 11:57:20 -0400

Yiannis Yiakoumis <[email-masked]> wrote:
    > operators, ii) there are no good APIs to expose L3 socket APIs to the
    > app developers who would eventually acquire and insert tokens, and iii)
    > it doesn't work with IPv4.

(ii) is solvable: I don't want applications to bring along their own TLS
        libraries, i want them provided by OSes.  So there is no difference
        anymore between doing in "libssl" and in the kernel.

(iii) is a feature, frankly.  Please stop trying to patch 40yr old technology.

6man had a presentation yesterday about how far extensions headers get, and
the news is probably better than people feared, if I understood correctly.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-